Name:		gambas3
Summary:	Complete IDE based on a BASIC interpreter with object extensions
Version:	3.5.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Basic
URL:		http://gambas.sourceforge.net
Source0:	http://sourceforge.net/projects/gambas/files/gambas3/%{name}-%{version}.tar.bz2
#Source0:	%{name}-%{version}-0svn%{svn}.tar.bz2
Source1:	%{name}.desktop

Patch0:		gambas3-3.4.2-llvmfix.patch

BuildRequires:	bzip2-devel
BuildRequires:	autoconf automake libtool
BuildRequires:	unixODBC-devel
BuildRequires:	gettext-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	sqlite3-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	glew-devel
BuildRequires:	SDL-devel
BuildRequires:	libxcursor-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	mysql-devel
BuildRequires:	cairo-devel
BuildRequires:	poppler-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	curl-devel
BuildRequires:	libgtk+2.0-devel
BuildRequires:	librsvg2-devel
BuildRequires:	gtkglext-devel
BuildRequires:	libffi-devel
BuildRequires:	imlib2-devel
BuildRequires:	postgresql-devel
BuildRequires:	libv4l-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libxtst-devel
BuildRequires:	xdg-utils
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	llvm-devel
BuildRequires:	libopenal-devel
BuildRequires:	gmime-devel
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	gmp-devel

%description
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!). 
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, translate your program into many languages, 
create network applications easily, build RPMs of your apps 
automatically, and so on...

%prep
%setup -q
#patch0 -p1 -b .llvmfix

for i in `find . -name "acinclude.m4"`;
do
	sed -i -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' ${i}
	sed -i 's|$AM_CFLAGS -O3|$AM_CFLAGS|g' ${i}
	sed -i 's|$AM_CXXFLAGS -Os -fno-omit-frame-pointer|$AM_CXXFLAGS|g' ${i}
	sed -i 's|$AM_CFLAGS -Os|$AM_CFLAGS|g' ${i}
	sed -i 's|$AM_CFLAGS -O0|$AM_CFLAGS|g' ${i}
	sed -i 's|$AM_CXXFLAGS -O0|$AM_CXXFLAGS|g' ${i}
done

%build
%setup_compile_flags
./reconf-all
for i in `find -name configure`
do
        (
          pushd `dirname $i`
          %before_configure
          popd
        )
done

%configure2_5x
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

rm -f %{buildroot}%{_libdir}/%{name}/gb.so %{buildroot}%{_libdir}/%{name}/gb.so.*

ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/gambas3/gb.sdl/DejaVuSans.ttf

install -D -m 755 app/src/%{name}/img/logo/logo-16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/gambas3.png
install -D -m 755 app/src/%{name}/img/logo/logo-32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/gambas3.png
install -D -m 755 app/src/%{name}/img/logo/logo-64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/gambas3.png
install -D -m 755 app/src/%{name}/img/logo/logo-ide.png %{buildroot}%{_datadir}/pixmaps/gambas3.png
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

#-----------------------------------------------------------------------------

%package runtime
Summary: The Gambas runtime
Group: Development/Basic

%description runtime
This package includes the Gambas interpreter needed to run Gambas applications.

%files runtime
%doc README AUTHORS ChangeLog
%{_bindir}/gbx3
%{_bindir}/gbr3
%{_libdir}/%{name}/gb.component
%{_libdir}/%{name}/gb.debug.*
%{_libdir}/%{name}/gb.eval.component
%{_libdir}/%{name}/gb.eval.so*
%{_libdir}/%{name}/gb.draw.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/info
%{_datadir}/%{name}/info/gb.info
%{_datadir}/%{name}/info/gb.list
%{_datadir}/%{name}/info/gb.debug.*
%{_datadir}/%{name}/info/gb.eval.list
%{_datadir}/%{name}/info/gb.eval.info
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/application-x-%{name}.png

#-----------------------------------------------------------------------------

%package devel
Summary: The Gambas development package
Group: Development/Basic

%description devel
This package includes all tools needed to compile Gambas projects
without having to install the complete development environment.

%files devel
%{_bindir}/gbc3
%{_bindir}/gba3
%{_bindir}/gbi3

#-----------------------------------------------------------------------------

%package script
Summary: The Gambas scripter package
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-devel = %{version}

%description script
This package includes the scripter program that allows to write script files
in Gambas.

%files script
%{_bindir}/gbs3
%{_bindir}/gbs3.gambas
%{_bindir}/gbw3
%{_datadir}/%{name}/icons/application-x-gambasserverpage.png
%{_datadir}/%{name}/icons/application-x-gambasscript.png

#-----------------------------------------------------------------------------

%package ide
Summary: The Gambas IDE
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-devel = %{version}
Requires: %{name}-gb-db = %{version}
Requires: %{name}-gb-db-form = %{version}
Requires: %{name}-gb-desktop = %{version}
Requires: %{name}-gb-eval-highlight = %{version}
Requires: %{name}-gb-form = %{version}
Requires: %{name}-gb-form-dialog = %{version}
Requires: %{name}-gb-form-mdi = %{version}
Requires: %{name}-gb-form-stock = %{version}
Requires: %{name}-gb-gui = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-image-effect = %{version}
Requires: %{name}-gb-qt4 = %{version}
Requires: %{name}-gb-qt4-ext = %{version}
Requires: %{name}-gb-qt4-webkit = %{version}
Requires: %{name}-gb-settings = %{version}
Requires: %{name}-gb-clipper = %{version}
Requires: %{name}-gb-geom = %{version}
Requires: %{name}-examples = %{version}
Requires: gettext
Requires: rpm-build

%description ide
This package includes the complete Gambas Development Environment, with the
database manager, the help files, and all components.

%files ide
%{_bindir}/%{name}
%{_bindir}/%{name}.gambas
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/pixmaps/%{name}.png

#-----------------------------------------------------------------------------

%package examples
Summary: The Gambas examples
Group: Development/Basic
BuildArch: noarch
Suggests: %{name}-ide = %{version}

%description examples
This package includes all the example projects provided with Gambas.

%files examples
%{_datadir}/%{name}/examples

#-----------------------------------------------------------------------------

%package gb-cairo
Summary: The Gambas Cairo component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-cairo
This package contains the Gambas Cario components.

%files gb-cairo
%{_libdir}/%{name}/gb.cairo.*
%{_datadir}/%{name}/info/gb.cairo.*

#-----------------------------------------------------------------------------

%package gb-chart
Summary: The Gambas chart component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-chart
This package contains the Gambas Chart components.

%files gb-chart
%{_libdir}/%{name}/gb.chart.*
%{_datadir}/%{name}/info/gb.chart.*

#-----------------------------------------------------------------------------

%package gb-clipper
Summary: The Gambas clipper component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-clipper
This package contains the Gambas Clipper components.
It wraps the Clipper library that performs polygon clipping:
 - intersection
 - union
 - difference & exclusive-or
 - polygon and polyline offsetting. 
The library is based on Vatti's clipping algorithm.

%files gb-clipper
%{_libdir}/%{name}/gb.clipper.*
%{_datadir}/%{name}/info/gb.clipper.*

#-----------------------------------------------------------------------------

%package gb-compress
Summary: The Gambas compression component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-compress
This component allows you to compress/uncompress data or files with
the bzip2 and zip algorithms.

%files gb-compress
%{_libdir}/%{name}/gb.compress.*
%{_datadir}/%{name}/info/gb.compress.*

#-----------------------------------------------------------------------------

%package gb-crypt
Summary: The Gambas cryptography component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-crypt
This component allows you to use cryptography in your projects.

%files gb-crypt
%{_libdir}/%{name}/gb.crypt.*
%{_datadir}/%{name}/info/gb.crypt.*

#-----------------------------------------------------------------------------

%package gb-db
Summary: The Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-db
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%files gb-db
%{_libdir}/%{name}/gb.db.so*
%{_libdir}/%{name}/gb.db.component
%{_libdir}/%{name}/gb.db.gambas
%{_datadir}/%{name}/info/gb.db.info
%{_datadir}/%{name}/info/gb.db.list

#-----------------------------------------------------------------------------

%package gb-db-form
Summary: The Gambas db-form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-db-form
This package contains the Gambas Database form components.

%files gb-db-form
%{_libdir}/%{name}/gb.db.form.*
%{_datadir}/%{name}/info/gb.db.form.*
%{_datadir}/%{name}/control/gb.db.form

#-----------------------------------------------------------------------------

%package gb-db-mysql
Summary: The MySQL driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version},%{name}-gb-db = %{version}

%description gb-db-mysql
This component allows you to access MySQL databases.

%files gb-db-mysql
%{_libdir}/%{name}/gb.db.mysql.*
%{_datadir}/%{name}/info/gb.db.mysql.*

#-----------------------------------------------------------------------------

%package gb-db-odbc
Summary: The ODBC driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version},%{name}-gb-db = %{version}

%description gb-db-odbc
This component allows you to access ODBC databases.

%files gb-db-odbc
%{_libdir}/%{name}/gb.db.odbc.*
%{_datadir}/%{name}/info/gb.db.odbc.*

#-----------------------------------------------------------------------------

%package gb-db-postgresql
Summary: The PostgreSQL driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version},%{name}-gb-db = %{version}

%description gb-db-postgresql
This component allows you to access PostgreSQL databases.

%files gb-db-postgresql
%{_libdir}/%{name}/gb.db.postgresql.*
%{_datadir}/%{name}/info/gb.db.postgresql.*

#-----------------------------------------------------------------------------

%package gb-db-sqlite3
Summary: The SQLite 3 driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version},%{name}-gb-db = %{version}

%description gb-db-sqlite3
This component allows you to access SQLite 3 databases.

%files gb-db-sqlite3

%{_libdir}/%{name}/gb.db.sqlite3.*
%{_datadir}/%{name}/info/gb.db.sqlite3.*

#-----------------------------------------------------------------------------

%package gb-dbus
Summary: The Gambas dbus component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-dbus
This package contains the Gambas D-bus components.

%files gb-dbus

%{_libdir}/%{name}/gb.dbus.*
%{_datadir}/%{name}/info/gb.dbus.*

#-----------------------------------------------------------------------------

%package gb-desktop
Summary: The Gambas XDG component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-desktop
This component allows you to use desktop-agnostic routines based on 
the xdg-utils scripts of the Portland project.

%files gb-desktop

%{_libdir}/%{name}/gb.desktop.*
%{_datadir}/%{name}/info/gb.desktop.*
%{_datadir}/%{name}/control/gb.desktop

#-----------------------------------------------------------------------------

%package gb-eval-highlight
Summary: The Gambas eval-highlight component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-eval-highlight
This component implements the eval-highlight componet.

%files gb-eval-highlight

%{_libdir}/%{name}/gb.eval.highlight.*
%{_datadir}/%{name}/info/gb.eval.highlight.*

#-----------------------------------------------------------------------------

%package gb-form
Summary: The Gambas dialog form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form
This component implements the form control.

%files gb-form
%{_libdir}/%{name}/gb.form.component
%{_libdir}/%{name}/gb.form.gambas
%{_datadir}/%{name}/control/gb.form
%{_datadir}/%{name}/info/gb.form.info
%{_datadir}/%{name}/info/gb.form.list

#-----------------------------------------------------------------------------

%package gb-form-dialog
Summary: The Gambas dialog form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-dialog
This component implements the form-dialog control.

%files gb-form-dialog

%{_libdir}/%{name}/gb.form.dialog.component
%{_libdir}/%{name}/gb.form.dialog.gambas
%{_datadir}/%{name}/info/gb.form.dialog.info
%{_datadir}/%{name}/info/gb.form.dialog.list

#-----------------------------------------------------------------------------

%package gb-form-mdi
Summary: The Gambas mdi form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-mdi
This component implements the form-mdi control.

%files gb-form-mdi

%{_libdir}/%{name}/gb.form.mdi.component
%{_libdir}/%{name}/gb.form.mdi.gambas
%{_datadir}/%{name}/control/gb.form.mdi
%{_datadir}/%{name}/info/gb.form.mdi.info
%{_datadir}/%{name}/info/gb.form.mdi.list

#-----------------------------------------------------------------------------

%package gb-form-stock
Summary: The Gambas stock form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-stock
This component implements the form-stock control.

%files gb-form-stock

%{_libdir}/%{name}/gb.form.stock.component
%{_libdir}/%{name}/gb.form.stock.gambas
%{_datadir}/%{name}/info/gb.form.stock.info
%{_datadir}/%{name}/info/gb.form.stock.list

#-----------------------------------------------------------------------------

%package gb-geom
Summary: The Gambas Geometry hidden component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-geom
This component implements all geometry classes: 
 - Point
 - PointF
 - Rect
 - RectF

%files gb-geom
%{_libdir}/%{name}/gb.geom.*

#-----------------------------------------------------------------------------

%package gb-gtk
Summary: The Gambas GTK+ GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gtk
This package contains the Gambas GTK+ GUI components.

%files gb-gtk

%{_libdir}/%{name}/gb.gtk.*
%{_datadir}/%{name}/info/gb.gtk.*

#-----------------------------------------------------------------------------

%package gb-gmp
Summary: The Gambas gmp component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gmp
This component implements an interface to the Gnu Multiple Precision Arithmetic Library. 

%files gb-gmp

%{_libdir}/%{name}/gb.gmp.*
%{_datadir}/%{name}/info/gb.gmp.*

#-----------------------------------------------------------------------------

%package gb-gsl
Summary: The Gambas interface to the GNU Scientific Library 
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gsl
This component provides an interface to the GNU Scientific Library.

%files gb-gsl

%{_libdir}/%{name}/gb.gsl.*
%{_datadir}/%{name}/info/gb.gsl.*

#-----------------------------------------------------------------------------

%package gb-gui
Summary: The Gambas GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gui
This is a component that just loads gb.qt if you are running KDE or
gb.gtk in the other cases.

%files gb-gui

%{_libdir}/%{name}/gb.gui.*
%{_datadir}/%{name}/info/gb.gui.*

#-----------------------------------------------------------------------------

%package gb-jit
Summary: The Gambas JIT component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-jit
This component provides the jit compiler for gambas.

%files gb-jit
%{_libdir}/%{name}/gb.jit.*
%{_datadir}/%{name}/info/gb.jit.*

#-----------------------------------------------------------------------------

%package gb-image
Summary: The Gambas image manipulation component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image
This component allows you to apply various effects to images.

%files gb-image

%{_libdir}/%{name}/gb.image.component
%{_libdir}/%{name}/gb.image.so*
%{_datadir}/%{name}/info/gb.image.info
%{_datadir}/%{name}/info/gb.image.list

#-----------------------------------------------------------------------------

%package gb-image-effect
Summary: The Gambas image effect component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image-effect
This component allows you to apply various effects to images.

%files gb-image-effect

%{_libdir}/%{name}/gb.image.effect.*
%{_datadir}/%{name}/info/gb.image.effect.*

#-----------------------------------------------------------------------------

%package gb-image-imlib
Summary: The Gambas image imlib component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image-imlib
This component allows you to manipulate images with imlibs.

%files gb-image-imlib

%{_libdir}/%{name}/gb.image.imlib.*
%{_datadir}/%{name}/info/gb.image.imlib.*

#-----------------------------------------------------------------------------

%package gb-image-io
Summary: The Gambas image io component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image-io
This component allows you to perform images input output operations.

%files gb-image-io

%{_libdir}/%{name}/gb.image.io.*
%{_datadir}/%{name}/info/gb.image.io.*

#-----------------------------------------------------------------------------

%package gb-map
Summary: The Gambas map component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-map
This component implements an online map viewer 
based on Google Maps, OpenStreetMap, etc.

%files gb-map

%{_libdir}/%{name}/gb.map*
%{_datadir}/%{name}/info/gb.map*
%{_datadir}/%{name}/control/gb.map/mapview.png

#-----------------------------------------------------------------------------

%package gb-media
Summary: The Gambas media component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-media
This package contains the Gambas media component.

%files gb-media

%{_libdir}/%{name}/gb.media.*
%{_datadir}/%{name}/info/gb.media.*

#-----------------------------------------------------------------------------

%package gb-mime
Summary: The Gambas mime component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-mime
This component allows to parse a string and convert it to a MIME message and the contrary.

It is based on the gmime library. 

%files gb-mime
%{_libdir}/%{name}/gb.mime.*
%{_datadir}/%{name}/info/gb.mime.*

#-----------------------------------------------------------------------------

%package gb-memcached
Summary: The Gambas memcached component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-memcached
This components aims at providing a fully usable interface to memcached,
a free and open source, high-performance, distributed memory object
caching system.

%files gb-memcached

%{_libdir}/%{name}/gb.memcached*
%{_datadir}/%{name}/info/gb.memcached*

#-----------------------------------------------------------------------------

%package gb-mysql
Summary: The Gambas mysql component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-mysql
This package contains the Gambas MySQL components.

%files gb-mysql

%{_libdir}/%{name}/gb.mysql.*
%{_datadir}/%{name}/info/gb.mysql.*

#-----------------------------------------------------------------------------
%package gb-ncurses
Summary: The Gambas ncurses component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-ncurses
This component allows you to use ncurses with gambas.

%files gb-ncurses

%{_libdir}/%{name}/gb.ncurses.so*
%{_libdir}/%{name}/gb.ncurses.component
%{_datadir}/%{name}/info/gb.ncurses.info
%{_datadir}/%{name}/info/gb.ncurses.list

#-----------------------------------------------------------------------------

%package gb-net
Summary: The Gambas networking component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-net
This component allows you to use TCP/IP and UDP sockets, and to access
any serial ports.

%files gb-net

%{_libdir}/%{name}/gb.net.so*
%{_libdir}/%{name}/gb.net.component
%{_datadir}/%{name}/info/gb.net.info
%{_datadir}/%{name}/info/gb.net.list

#-----------------------------------------------------------------------------

%package gb-net-curl
Summary: The Gambas advanced networking component
Group: Development/Basic
Requires: %{name}-runtime = %{version},%{name}-gb-net = %{version}

%description gb-net-curl
This component allows your programs to easily become FTP or HTTP clients.

%files gb-net-curl

%{_libdir}/%{name}/gb.net.curl.so*
%{_libdir}/%{name}/gb.net.curl.component
%{_datadir}/%{name}/info/gb.net.curl.info
%{_datadir}/%{name}/info/gb.net.curl.list

#-----------------------------------------------------------------------------

%package gb-net-smtp
Summary: The Gambas SMTP component
Group: Development/Basic
Requires: %{name}-runtime = %{version},%{name}-gb-net = %{version}

%description gb-net-smtp
This component allows you to send emails using the SMTP protocol.

%files gb-net-smtp

%{_libdir}/%{name}/gb.net.smtp.*
%{_datadir}/%{name}/info/gb.net.smtp.*

#-----------------------------------------------------------------------------

%package gb-net-pop3
Summary: The Gambas POP3 component
Group: Development/Basic
Requires: %{name}-runtime = %{version},%{name}-gb-net = %{version}

%description gb-net-pop3
This component allows you to send emails using the POP3 protocol.

%files gb-net-pop3

%{_libdir}/%{name}/gb.net.pop3.*
%{_datadir}/%{name}/info/gb.net.pop3.*

#-----------------------------------------------------------------------------

%package gb-opengl
Summary: The Gambas OpenGL component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-opengl
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl

%{_libdir}/%{name}/gb.opengl.component
%{_libdir}/%{name}/gb.opengl.so*
%{_datadir}/%{name}/info/gb.opengl.info
%{_datadir}/%{name}/info/gb.opengl.list

#-----------------------------------------------------------------------------

%package gb-opengl-glsl
Summary: The Gambas opengl-glsl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-opengl-glsl
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl-glsl

%{_libdir}/%{name}/gb.opengl.glsl.*
%{_datadir}/%{name}/info/gb.opengl.glsl.*

#-----------------------------------------------------------------------------

%package gb-opengl-glu
Summary: The Gambas opengl-glu component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-opengl-glu
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl-glu

%{_libdir}/%{name}/gb.opengl.glu.*
%{_datadir}/%{name}/info/gb.opengl.glu.*

#-----------------------------------------------------------------------------

%package gb-opengl-sge
Summary: The Gambas opengl-sge component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-opengl-sge
This component is a simple OpenGL game engine based on the MD2 model format.

%files gb-opengl-sge

%{_libdir}/%{name}/gb.opengl.sge.*
%{_datadir}/%{name}/info/gb.opengl.sge.*

#-----------------------------------------------------------------------------

%package gb-openssl
Summary: The Gambas openssl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-openssl
This component allows you to use cryptographic functions wrapping libcrypto from the OpenSSL project.

%files gb-openssl

%{_libdir}/%{name}/gb.openssl.*
%{_datadir}/%{name}/info/gb.openssl.*

#-----------------------------------------------------------------------------

%package gb-option
Summary: The Gambas command-line option component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-option
This component allows you to interpret command-line options.

%files gb-option

%{_libdir}/%{name}/gb.option.*
%{_datadir}/%{name}/info/gb.option.*

#-----------------------------------------------------------------------------

%package gb-pcre
Summary: The Gambas PCRE component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-pcre
This component allows you to use Perl compatible regular expresions
within Gambas code.

%files gb-pcre

%{_libdir}/%{name}/gb.pcre.*
%{_datadir}/%{name}/info/gb.pcre.*

#-----------------------------------------------------------------------------

%package gb-pdf
Summary: The Gambas PDF component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-pdf
This component allows you to manipulate pdf files with Gambas code.

%files gb-pdf

%{_libdir}/%{name}/gb.pdf.*
%{_datadir}/%{name}/info/gb.pdf.*

#-----------------------------------------------------------------------------

%package gb-qt4
Summary: The Gambas Qt GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt4
This package includes the Gambas QT GUI component.

%files gb-qt4

%{_libdir}/%{name}/gb.qt4.component
#%{_libdir}/%{name}/gb.qt4.gambas
%{_libdir}/%{name}/gb.qt4.so*
%{_datadir}/%{name}/info/gb.qt4.info
%{_datadir}/%{name}/info/gb.qt4.list

#-----------------------------------------------------------------------------

%package gb-qt4-ext
Summary: The Gambas qt-ext component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt4-ext
This package contains the Gambas qt-ext components.

%files gb-qt4-ext

%{_libdir}/%{name}/gb.qt4.ext.*
%{_datadir}/%{name}/info/gb.qt4.ext.*

#-----------------------------------------------------------------------------

%package gb-qt4-opengl
Summary: The Gambas qt-opengl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt4-opengl
This package contains the Gambas qt-opengl components.

%files gb-qt4-opengl

%{_libdir}/%{name}/gb.qt4.opengl.*
%{_datadir}/%{name}/info/gb.qt4.opengl.*

#-----------------------------------------------------------------------------

%package gb-qt4-webkit
Summary: The Gambas qt-webkit component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt4-webkit
This package contains the Gambas qt-webkit components.

%files gb-qt4-webkit
%{_libdir}/%{name}/gb.qt4.webkit.*
%{_datadir}/%{name}/info/gb.qt4.webkit.*

#-----------------------------------------------------------------------------

%package gb-report
Summary: The Gambas report component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-report
This package contains the Gambas Report components.

%files gb-report

%{_libdir}/%{name}/gb.report.*
%{_datadir}/%{name}/info/gb.report.*
%{_datadir}/%{name}/control/gb.report

#-----------------------------------------------------------------------------

%package gb-sdl
Summary: The Gambas SDL component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: fonts-ttf-dejavu

%description gb-sdl
This component use the sound, image and TTF fonts parts of the SDL
library. It allows you to simultaneously play many sounds and music
stored in a file. If OpenGL drivers are installed it uses them to 
accelerate 2D and 3D drawing.

%files gb-sdl
%{_libdir}/%{name}/gb.sdl.so
%{_libdir}/%{name}/gb.sdl.so.*
%{_libdir}/%{name}/gb.sdl.component
%{_datadir}/%{name}/info/gb.sdl.info
%{_datadir}/%{name}/info/gb.sdl.list
%{_datadir}/%{name}/gb.sdl

#-----------------------------------------------------------------------------

%package gb-sdl-sound
Summary: The Gambas SDL sound component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-sdl-sound
This component allows you to play sounds in Gambas. This component 
manages up to 32 sound tracks that can play sounds from memory, and
one music track that can play music from a file. Everything is mixed
in real time. 

%files gb-sdl-sound

%{_libdir}/%{name}/gb.sdl.sound.*
%{_datadir}/%{name}/info/gb.sdl.sound.*

#-----------------------------------------------------------------------------

%package gb-settings
Summary: The Gambas settings component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-settings
This components allows you to deal with configuration files.

%files gb-settings

%{_libdir}/%{name}/gb.settings.*
%{_datadir}/%{name}/info/gb.settings.*

#-----------------------------------------------------------------------------

%package gb-signal
Summary: The Gambas signal component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-signal
This package contains the Gambas Signal components.

%files gb-signal

%{_libdir}/%{name}/gb.signal.*
%{_datadir}/%{name}/info/gb.signal.*

#-----------------------------------------------------------------------------

%package gb-v4l
Summary: The Gambas Video4Linux component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-v4l
This components allows you to use the Video4Linux interface with
Gambas.

%files gb-v4l

%{_libdir}/%{name}/gb.v4l.*
%{_datadir}/%{name}/info/gb.v4l.*

#-----------------------------------------------------------------------------

%package gb-vb
Summary: The Gambas Visual Basic(tm) compatibility component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-vb
This component aims at including some functions that imitate the 
behaviour of Visual Basic(TM) functions. Use it only if you want to 
port some VB projects.

%files gb-vb

%{_libdir}/%{name}/gb.vb.*
%{_datadir}/%{name}/info/gb.vb.*

#-----------------------------------------------------------------------------

%package gb-web
Summary: The Gambas CGI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-web
This components allows you to make CGI web applications using Gambas, 
with an ASP-like interface.

%files gb-web

%{_libdir}/%{name}/gb.web.*
%{_datadir}/%{name}/info/gb.web.*

#-----------------------------------------------------------------------------

%package gb-libxml
Summary: The Gambas libxml component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-libxml
This component allows you to use xml.

%files gb-libxml

%{_libdir}/%{name}/gb.libxml.so*
%{_libdir}/%{name}/gb.libxml.component
%{_datadir}/%{name}/info/gb.libxml.info
%{_datadir}/%{name}/info/gb.libxml.list

#-----------------------------------------------------------------------------

%package gb-logging
Summary: The Gambas logging component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-logging
This component implements a flexible logging system for Gambas applications.
The formatting of messages is based on the RFC5454 document 
which describes the standard "syslog" format.

%files gb-logging

%{_libdir}/%{name}/gb.logging.*
%{_datadir}/%{name}/info/gb.logging.info
%{_datadir}/%{name}/info/gb.logging.list

#-----------------------------------------------------------------------------

%package gb-xml
Summary: The Gambas xml component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-xml
This component allows you to use xml.

%files gb-xml
%{_libdir}/%{name}/gb.xml.so*
%{_libdir}/%{name}/gb.xml.component
%{_libdir}/%{name}/gb.xml.gambas
%{_datadir}/%{name}/info/gb.xml.info
%{_datadir}/%{name}/info/gb.xml.list

#-----------------------------------------------------------------------------

%package gb-xml-html
Summary: The Gambas xml html component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml

%description gb-xml-html
This component allows you to use xml html.

%files gb-xml-html

%{_libdir}/%{name}/gb.xml.html.so*
%{_libdir}/%{name}/gb.xml.html.component
%{_datadir}/%{name}/info/gb.xml.html.info
%{_datadir}/%{name}/info/gb.xml.html.list

#-----------------------------------------------------------------------------

%package gb-xml-rpc
Summary: The Gambas xml-rpc component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml

%description gb-xml-rpc
This component allows you to use xml-rpc.

%files gb-xml-rpc

%{_libdir}/%{name}/gb.xml.rpc.gambas
%{_libdir}/%{name}/gb.xml.rpc.component
%{_datadir}/%{name}/info/gb.xml.rpc.info
%{_datadir}/%{name}/info/gb.xml.rpc.list

#-----------------------------------------------------------------------------

%package gb-xml-xslt
Summary: The Gambas xml-rpc component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-xml-xslt
This component allows you to use xml-xslt.

%files gb-xml-xslt

%{_libdir}/%{name}/gb.xml.xslt*
%{_datadir}/%{name}/info/gb.xml.xslt*

#-----------------------------------------------------------------------------

%package gb-data
Summary: The Gambas data component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-data
%{summary}

%files gb-data

%{_libdir}/%{name}/gb.data*
%{_datadir}/%{name}/info/gb.data*


#-----------------------------------------------------------------------------

%package gb-complex
Summary: The Gambas complex component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-complex
This component allows you to work with complex numbers.

%files gb-complex

%{_libdir}/%{name}/gb.complex*
%{_datadir}/%{name}/info/gb.complex*

#-----------------------------------------------------------------------------

%package gb-args
Summary: The Gambas args component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-args
This component allows you to analyze command line arguments.
It should replace the unmaintained gb.option component.

%files gb-args

%{_libdir}/%{name}/gb.args*
%{_datadir}/%{name}/info/gb.args*

#-----------------------------------------------------------------------------

%package gb-httpd
Summary: The Gambas httpd component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-httpd
%{summary}

%files gb-httpd

%{_libdir}/%{name}/gb.httpd*
%{_datadir}/%{name}/info/gb.httpd*



%changelog
* Fri Nov 22 2013 matteo <matteo> 3.5.1-1.mga4
+ Revision: 552384
- new bugfix release (3.5.1)

* Fri Nov 22 2013 matteo <matteo> 3.5.0-2.mga4
+ Revision: 552335
- fixed: missing requirements from gambas3-ide, i.e. gb-clipper and gb-geom (bug mga#11733)

* Sun Oct 27 2013 matteo <matteo> 3.5.0-1.mga4
+ Revision: 547215
- * new version 3.5.0
- drops statically defined optimization flags from the automake files (acinclude.m4)
- adds gb-clipper component
- moves geometry classes to the gb-geom (hidden) component
- adds gb-gmp component
- adds gb-mime component
- adds gb-net-pop3 component
- adds gb-opengl-sge component
- adds gb-openssl component
- adds gb-logging component

* Sat Oct 19 2013 umeabot <umeabot> 3.4.2-3.mga4
+ Revision: 532706
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 fwang <fwang> 3.4.2-2.mga4
+ Revision: 469300
- more fixes from upstream
- apply correct patch
- add more fix from upstream to build with llvm3.3
- rebuild for new llvm

* Wed Jul 31 2013 fwang <fwang> 3.4.2-1.mga4
+ Revision: 461356
- new version 3.4.2
- rebuild for new poppler

* Wed Jul 24 2013 sander85 <sander85> 3.4.1-4.mga4
+ Revision: 457706
- Rebuild for new glew

* Sat Jul 20 2013 fwang <fwang> 3.4.1-3.mga4
+ Revision: 456508
- rebuild for new poppler

* Mon Jun 03 2013 fwang <fwang> 3.4.1-2.mga4
+ Revision: 435550
- rebuild for new libpng

* Fri May 24 2013 fwang <fwang> 3.4.1-1.mga4
+ Revision: 425822
- new version 3.4.1

* Wed Mar 13 2013 fwang <fwang> 3.4.0-3.mga3
+ Revision: 402428
- use system font file

* Sat Feb 23 2013 matteo <matteo> 3.4.0-2.mga3
+ Revision: 400150
- added missing requirement for gambas3-ide (fix bug mga#9105)

* Sun Feb 10 2013 matteo <matteo> 3.4.0-1.mga3
+ Revision: 397788
- new version

* Fri Jan 11 2013 umeabot <umeabot> 3.3.4-6.mga3
+ Revision: 351030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 fwang <fwang> 3.3.4-5.mga3
+ Revision: 336399
- rebuild for new poppler

* Sun Dec 30 2012 matteo <matteo> 3.3.4-4.mga3
+ Revision: 336360
- fix build with automake 1.13
- improved llvm fix

* Tue Dec 25 2012 matteo <matteo> 3.3.4-3.mga3
+ Revision: 334972
- fixed llvm related compilation issue

* Sat Dec 01 2012 fwang <fwang> 3.3.4-2.mga3
+ Revision: 323773
- rebuild for new pcre

* Mon Nov 19 2012 matteo <matteo> 3.3.4-1.mga3
+ Revision: 319671
- new version

* Thu Nov 15 2012 fwang <fwang> 3.3.3-3.mga3
+ Revision: 318175
- update file list
- drop sqlite2 component

* Mon Nov 12 2012 fwang <fwang> 3.3.3-2.mga3
+ Revision: 317121
- rebuild for new poppler
- update rpm group

* Wed Oct 10 2012 matteo <matteo> 3.3.3-1.mga3
+ Revision: 304521
- new version

* Wed Oct 10 2012 tv <tv> 3.3.2-2.mga3
+ Revision: 304198
- rebuild with new poppler

* Tue Oct 02 2012 matteo <matteo> 3.3.2-1.mga3
+ Revision: 301993
- new version

* Fri Sep 28 2012 matteo <matteo> 3.3.1-1.mga3
+ Revision: 299116
- new version

* Mon Sep 24 2012 matteo <matteo> 3.3.0-1.mga3
+ Revision: 297031
- new version

* Tue Sep 11 2012 fwang <fwang> 3.2.1-6.mga3
+ Revision: 292147
- rebuild for new poppler

* Mon Aug 20 2012 sander85 <sander85> 3.2.1-5.mga3
+ Revision: 282509
- Rebuild for new glew

* Mon Aug 06 2012 luigiwalser <luigiwalser> 3.2.1-4.mga3
+ Revision: 278979
- rebuild for libffi

* Fri Aug 03 2012 matteo <matteo> 3.2.1-3.mga3
+ Revision: 278044
- added gb-jit component (now available thanks to llvm-3.1)

* Thu Aug 02 2012 fwang <fwang> 3.2.1-2.mga3
+ Revision: 277811
- rebuild for new glew

* Sat Jul 21 2012 matteo <matteo> 3.2.1-1.mga3
+ Revision: 273209
- added missing files (info, list) into gb-xml-rpc subpackage
- new version

* Sun Jul 01 2012 matteo <matteo> 3.2.0-1.mga3
+ Revision: 265776
- pre-release of gambas3-3.2.0
- removed wrongly added patch

* Wed Jun 13 2012 fwang <fwang> 3.2-0.svn.4819.3.mga3
+ Revision: 260236
- rebuild for new poppler

* Wed Jun 13 2012 matteo <matteo> 3.2-0.svn.4819.2.mga3
+ Revision: 260153
- added missing br preventing gnome keyring support

* Sun Jun 10 2012 matteo <matteo> 3.2-0.svn.4819.1.mga3
+ Revision: 259217
- new version

* Sun Apr 22 2012 matteo <matteo> 3.1.1-1.mga2
+ Revision: 232568
- new stable release
  - fixed many bugs afflicting the package builder
  - added gsl component
  - fixed more than 150 bugs
  - added patch fixing DrawingArea bug

* Sun Jan 08 2012 fwang <fwang> 3.0.0-5.mga2
+ Revision: 193128
- fix typo on packag ename

* Sun Jan 08 2012 fwang <fwang> 3.0.0-4.mga2
+ Revision: 193119
- add more req as suggested upstream

* Fri Jan 06 2012 matteo <matteo> 3.0.0-3.mga2
+ Revision: 191982
+ rebuild (emptylog)

* Tue Jan 03 2012 matteo <matteo> 3.0.0-2.mga2
+ Revision: 190193
- spec file reviewed
- fixed gambas3-ide requirements

* Sat Dec 31 2011 matteo <matteo> 3.0.0-1.mga2
+ Revision: 189303
- version upgrade

* Mon Dec 26 2011 fwang <fwang> 2.99.7-4.mga2
+ Revision: 187691
- fix req

* Sun Dec 25 2011 matteo <matteo> 2.99.7-3.mga2
+ Revision: 187486
- bump release
- fixed gambas3-ide buildrequirements

* Sat Dec 24 2011 matteo <matteo> 2.99.7-2.mga2
+ Revision: 187268
- description fixed

* Sat Dec 24 2011 matteo <matteo> 2.99.7-1.mga2
+ Revision: 187259
- version upgrade

* Sun Dec 18 2011 fwang <fwang> 2.99.6-4.mga2
+ Revision: 183641
- br qtwebkit

* Thu Dec 08 2011 fwang <fwang> 2.99.6-3.mga2
+ Revision: 178870
- rebuild for new odbc

* Thu Nov 10 2011 matteo <matteo> 2.99.6-2.mga2
+ Revision: 166235
- increased release value
- fixed wrong requires:
- gambas3-ide requires gambas3-examples
- gambas3-examples suggests gambas3-ide

  + fwang <fwang>
    - build examples as noarch package

* Tue Nov 01 2011 matteo <matteo> 2.99.6-1.mga2
+ Revision: 160986
- version upgrade

* Fri Oct 28 2011 fwang <fwang> 2.99.5-4.mga2
+ Revision: 158960
- rebuild for new poppler

* Tue Oct 25 2011 matteo <matteo> 2.99.5-3.mga2
+ Revision: 157916
- spec file reviewed

* Tue Oct 11 2011 fwang <fwang> 2.99.5-2.mga2
+ Revision: 153842
- dont know why we drop .so files

* Tue Oct 11 2011 matteo <matteo> 2.99.5-1.mga2
+ Revision: 153762
- fixed description
- upgraded to rc5

* Mon Oct 03 2011 fwang <fwang> 2.99.4-3.mga2
+ Revision: 151171
- rebuild for new glew

  + matteo <matteo>
    - spec file cleaned (rpmlint warns)

* Tue Sep 27 2011 ovitters <ovitters> 2.99.4-2.mga2
+ Revision: 149388
- rebuild for new poppler

* Sun Sep 25 2011 matteo <matteo> 2.99.4-1.mga2
+ Revision: 147664
- spec fixed
- sources updated

* Wed Sep 21 2011 fwang <fwang> 2.99.3-3.mga2
+ Revision: 146255
- drop .la files

* Mon Sep 12 2011 fwang <fwang> 2.99.3-2.mga2
+ Revision: 142649
- rebuild for new libpng

* Wed Sep 07 2011 matteo <matteo> 2.99.3-1.mga2
+ Revision: 140697
- added libxtst-devel, libxml2-devel and libxslt-devel as buildrequires
- added xdg-utils as buildrequire
- added desktop-file-utiles as buildrequirement
- fixed some paths using not standard macros
- upgraded sources
- added gambas3.desktop file to sources
- fixed typo into package version
- fixed package version
- imported package gambas3

